delegation.h File Reference

Go to the source code of this file.

## Data Structures

struct | ns__DelegationExceptionType
struct | ns__NewProxyReq
struct | _DelegationException

## Functions

int | ns__getProxyReq (char *_delegationID, struct ns__getProxyReqResponse { char *getProxyReqReturn;} *)
int | ns__getNewProxyReq (struct ns__getNewProxyReqResponse { struct ns__NewProxyReq *getNewProxyReqReturn;} *)
int | ns__renewProxyReq (char *_delegationID, struct ns__renewProxyReqResponse { char *_renewProxyReqReturn;} *)
int | ns__putProxy (char *_delegationID, char *_proxy, struct ns__putProxyResponse { } *)
int | ns__getTerminationTime (char *_delegationID, struct ns__getTerminationTimeResponse { time_t _getTerminationTimeReturn;} *)
int | ns__destroy (char *_delegationID, struct ns__destroyResponse { } *)

## Function Documentation

## ns__destroy()

int ns__destroy | ( | char * | _delegationID,
|  | struct ns__destroyResponse { } * | )

## ns__getNewProxyReq()

int ns__getNewProxyReq | ( | struct ns__getNewProxyReqResponse { struct ns__NewProxyReq *getNewProxyReqReturn;} * |  | ) |

## ns__getProxyReq()

int ns__getProxyReq | ( | char * | _delegationID,
|  | struct ns__getProxyReqResponse { char *getProxyReqReturn;} * | )

## ns__getTerminationTime()

int ns__getTerminationTime | ( | char * | _delegationID,
|  | struct ns__getTerminationTimeResponse { time_t _getTerminationTimeReturn;} * | )

## ns__putProxy()

int ns__putProxy | ( | char * | _delegationID,
|  | char * | _proxy,
|  | struct ns__putProxyResponse { } * | )

## ns__renewProxyReq()

int ns__renewProxyReq | ( | char * | _delegationID,
|  | struct ns__renewProxyReqResponse { char *_renewProxyReqReturn;} * | )